package se.chalmers.paragon;

/**
 * <p>
 * A concrete actor, is the same actor through-out all usage in the same
 * program. The method of two instances <i>a</i> and <i>b</i>,
 * <i>a</i>.equals(<i>b</i>) only returns true if <i>a</i> and <i>b</i> are the
 * same instance, as opposed to {@link se.chalmers.paragon.ActorVariable}.
 * </p>
 * 
 * @author Paragon Developers (http://www.cse.chalmers.se/paragon)
 * 
 */
public class ConcreteActor extends Actor {

	private String actor;

	/**
	 * 
	 * @param actor
	 *            The name of the concrete actor
	 */
	protected ConcreteActor(String actor) {
		this.actor = actor;
		Lock.ISACTOR.open(this);
	}

	public String toString() {
		return actor;
	}

}
